Loading...
Searching...
No Matches
getl.c File Reference

GIS Library - Get line of text from file. More...

`#include <string.h>`
`#include <stdio.h>`
`#include <grass/gis.h>`
Include dependency graph for getl.c:

Go to the source code of this file.

## Functions

int | G_getl (char *buf, int n, FILE *fd)
| Gets a line of text from a file.
int | G_getl2 (char *buf, int n, FILE *fd)
| Gets a line of text from a file of any pedigree.

## Detailed Description

GIS Library - Get line of text from file.

(C) 2001-2009 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file getl.c.

## Function Documentation

## G_getl()

int G_getl | ( | char * | buf,
|  | int | n,
|  | FILE * | fd )

Gets a line of text from a file.

This routine runs fgets() to fetch a line of text from a file (advancing file pointer) and removes trailing newline.

Parameters

  buf | string buffer to receive read data
  n | maximum number of bytes to read
  fd | file descriptor structure

Returns
  1 on success
  0 EOF

See also
  G_getl2()

Definition at line 33 of file getl.c.

References G_getl2().

Referenced by G__read_Cell_head(), G_matrix_read(), G_myname(), and M_read_list().

## G_getl2()

int G_getl2 | ( | char * | buf,
|  | int | n,
|  | FILE * | fd )

Gets a line of text from a file of any pedigree.

This routine supports text files created on various platforms (UNIX, MacOS9, DOS), i.e. `\n (\012)`, `\r (\015)`, and `\r\n (\015\012)` style newlines.

Reads in at most n-1 characters from stream (the last spot is reserved for the end-of-string NUL) and stores them into the buffer pointed to by buf. Reading stops after an EOF or a newline. New line is not stored in the buffer. At least n bytes must be allocated for the string buffer.

Parameters

  buf | string buffer to receive read data, at least n bytes must be allocated
  n | maximum number of bytes to read
  fd | file descriptor structure

Returns
  1 on success
  0 EOF

Definition at line 60 of file getl.c.

References NULL.

Referenced by G_fread_key_value(), G_getl(), G_read_datum_table(), G_read_ellipsoid_table(), GPJ_get_datum_transform_by_name(), read_coor(), read_datum_table(), read_ellipsoid_table(), and S_read().